keywords:pbx ip pbx voip gateway gsm gateway

× Questions about B100/200/400/800 ISDN BRI Cards

Asterisk 1.6, B200P and D410P configuration

9 years 4 months ago #5684 by casey0999
Hello all-

I am configuring a system with Asterisk 1.6 and these two Openvox cards for BRI and PRI. In the past I have used bristuff and libpri with older versions of Asterisk, but now I would like to upgrade to Asterisk 1.6. Question, should I be using mISDN or libpri for these cards when they are in the same system, or does DAHDI now support both cards under asterisk 1.6 ?

Thanks
9 years 4 months ago #5686 by Joe.Yung
hi,
DAHDI supports both cards, BRI cards using wcb4xxp driver, PRI cards using wct4xxp driver.
(See this thread: http://bbs.openvox.cn/viewthread.php?tid=781&extra=page%3D2&page=1 )

BUT we suggest you use mISDN instead of DAHDI with BRI cards, because mISDN works greatly with BRI cards.

and DAHDI supports PRI cards with no problem.
(see this link: http://wiki.openvox.cn/index.php/OpenVox_D410P_Dahdi_en )

9 years 4 months ago #5690 by casey0999
OK, I will take your advice and give this combo a try.

I'm running Fedora 12..
9 years 4 months ago #5711 by casey0999
Help please!
My configuration is: Fedora 12 (kernel is 2.6.32), IBM System x3650 M2
I am trying to install Asterisk 1.6 and DAHDI 2.3.0.1

I don't think I can use mISDN v1.x because it won't compile with this kernel.
I don't think I can use mISDN v2.x because OpenVox hasn't provided patches for it(?)

I would not like to use bristuff, because it only goes to Asterisk 1.2 and 1.4, not 1.6

So i thought I would try the latest DAHDI, which supports the Digium BRI board, but
I think I need OpenVox patches to make it work with the OpenVox B200P.

DAHDI can detect the OpenVox board, but not configure it:

lspci finds the B200P, and reports it as an ISDN board with Cologne chip set [HFC-4S] (rev 01)

dahdi_hardware command returns the following:
"driver should be 'wcb4xxp' but is actually 'hfcmulti' <- NOTE THIS MESSAGE
pci:0000:16:02.0 wcb4xxp+ 1397:08b4 OpenVox B200P"

dahdi_cfg and dahdi_scan do not see the OpenVox board.

Is there a patch to be applied to the DAHDI drivers to have them use the OpenVox board?

Thanks!
9 years 4 months ago #5712 by xin.liu
Hi:
If you use daidh with B200P, you need to add some patches.You can refer this link:
https://issues.asterisk.org/view.php?id=13897
I suggest that you should use Centos+misdn.

9 years 4 months ago #5713 by casey0999
Hi- Yes, reading those patches now, but it appears that by now (18 months later) I think they would be already incorporated into the latest DAHDI? I may be loading the modules in the wrong order, or may have to set some configuration parameters manually, I will try this and report back.

Using Centos is not an option (my customer is a Fedora Core shop), and mISDN seems much less desirable given the comments that I continue to see. (however, it's a fall back if necessary and I'm willing to go back to an older kernel)

Thanks
Scott S
Time to create page: 0.032 seconds
Powered by Kunena Forum